Bug 997187 - F19 SDDM Hangs on second login
F19 SDDM Hangs on second login
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sddm (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks: SDDMDefault
  Show dependency treegraph
 
Reported: 2013-08-14 17:15 EDT by Gerald Cox
Modified: 2013-09-15 19:13 EDT (History)
6 users (show)

See Also:
Fixed In Version: sddm-0.2.0-0.4.20130821gite707e229.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-05 23:59:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Cox 2013-08-14 17:15:32 EDT
Description of problem:

After changing photo in system settings if I then logoff, SDDM allows me to enter password, but it does not login upon pressing of the enter key, it just hangs.  Also, the rendering of the photo is very poor on the DM screen.  If I restart the entire system then I am able to login.


Version-Release number of selected component (if applicable):
sddm-0.1.0-5.fc19.x86_64


How reproducible:
Change photo as described above and logoff, then try to login.


Steps to Reproduce:
1.  Change photo
2.  Logoff
3.  Try to log back in

Actual results:
SDDM Hang

Expected results:
Successful login.

Additional info:
Comment 1 Martin Bříza 2013-08-20 04:30:30 EDT
Hi Gerald,
thanks for your report. Does SDDM only hang when you change your user picture or does it even when you don't change anything about your account?
Thanks
Comment 2 Fedora Update System 2013-08-21 07:52:54 EDT
sddm-0.2.0-0.130821.git.e707e229.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.130821.git.e707e229.fc18
Comment 3 Fedora Update System 2013-08-21 07:53:06 EDT
sddm-0.2.0-0.130821.git.e707e229.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.130821.git.e707e229.fc19
Comment 4 Gerald Cox 2013-08-21 12:57:37 EDT
Hey Martin,

I checked again, and you are correct - the hang occurs regardless if I just logout and try to log back in.  If I reboot, it appears to work fine, otherwise it hangs.
Comment 5 Gerald Cox 2013-08-21 15:00:07 EDT
I applied the patch, now when I logoff and try to log back in I get a message saying login failed.  I am able now to press the restart button in the upper right and it works... which it didn't before.  

The photo quality is still blurry.
Comment 6 Fedora Update System 2013-08-21 20:50:27 EDT
Package sddm-0.2.0-0.130821.git.e707e229.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.2.0-0.130821.git.e707e229.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15129/sddm-0.2.0-0.130821.git.e707e229.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-22 05:19:20 EDT
sddm-0.2.0-0.1.20130821gite707e229.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.1.20130821gite707e229.fc18
Comment 8 Fedora Update System 2013-08-22 05:21:07 EDT
sddm-0.2.0-0.1.20130821gite707e229.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/sddm-0.2.0-0.1.20130821gite707e229.fc19
Comment 9 Martin Bříza 2013-08-22 05:24:11 EDT
Hi Gerald,
I just repushed the package, please note you'll have to run yum distro-sync or yum downgrade to get this version.
Sorry for the confusion.
Comment 10 Martin Bříza 2013-08-22 05:32:28 EDT
Gerald,
yeah, looking at it, the build doesn't probably solve it anyway but at least you can test the newer one now. I'll look at the problem you described next week.
Thank you
Comment 11 Fedora Update System 2013-08-28 17:27:19 EDT
Package sddm-0.2.0-0.2.20130821gite707e229.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.2.0-0.2.20130821gite707e229.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15154/sddm-0.2.0-0.2.20130821gite707e229.fc18
then log in and leave karma (feedback).
Comment 12 Martin Bříza 2013-09-02 12:46:03 EDT
I addressed this bug in the https://github.com/sddm/sddm/pull/95 upstream pull request. I also included it in sddm-0.2.0-0.4.20130821gite707e229 builds for Fedora 20 and Rawhide. Stable packages will follow soon.
Comment 13 Fedora Update System 2013-09-03 18:22:49 EDT
Package sddm-0.2.0-0.4.20130821gite707e229.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sddm-0.2.0-0.4.20130821gite707e229.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15166/sddm-0.2.0-0.4.20130821gite707e229.fc19
then log in and leave karma (feedback).
Comment 14 Gerald Cox 2013-09-05 12:43:14 EDT
Fixed the issue where there is a hang when logoff - but found that if you try to switch to another desktop, i.e. GNOME it sits with a blank screen with a cursor X for a few minutes, then you receive a message - "Unexpected error occurred, please logoff".  If you logoff, then select KDE PLASMA it works fine.  

The rendering of the photo for the userid is still poor.  Is this an issue with the system reducing the resolution when it is initially stored and then the size of the photo on SDDM is enlarged from a reduced resolution copy?  The original photo I used was of a sufficient resolution that it should be able to be displayed clearly.

Thanks!
Comment 15 Rex Dieter 2013-09-05 12:46:24 EDT
last I checked/knew, user switching to/from gnome only works with gdm
Comment 16 Fedora Update System 2013-09-05 23:59:58 EDT
sddm-0.2.0-0.4.20130821gite707e229.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-09-06 01:19:22 EDT
sddm-0.2.0-0.4.20130821gite707e229.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Gerald Cox 2013-09-06 04:06:29 EDT
(In reply to Rex Dieter from comment #15)
> last I checked/knew, user switching to/from gnome only works with gdm

It worked with kdm and lightdm - and gdm btw allows you to switch back and forth from gnome to kde.  I'll open another bug.
Comment 19 Fedora Update System 2013-09-11 21:59:48 EDT
sddm-0.2.0-0.4.20130821gite707e229.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.